<template>
  <zt-combo-tree v-model="selectValue" :url="'teamGroup/class/treeByCriteria'+'?dictType='+dictType+'&model='+model" :multiple="multiple" :placeholder="placeholder" @select="onSelected"/>
</template>
<script>

  export default {
    name: 'TeamMajorSelector',
    components: {},
    props: {
      value: String,
      dictType: String,
      model: String,
      multiple: {
        type: Boolean,
        default: false
      },
      placeholder: String
    },
    data() {
      return {
        selectValue: this.getValue(this.value)
      }
    },
    watch: {
      value(val, oldval) {
        this.selectValue = this.getValue(val)
      }
    },
    mounted() {
      this.onSelected()
    },
    methods: {
      getValue(value) {
        if (this.multiple) {
          return Array.isArray(value) ? value : (value || '').split(',')
        } else {
          return typeof value === 'undefined' ? '' : value
        }
      },
      onSelected(data) {
        if (this.multiple) {
          this.$emit('input', (this.selectValue || []).join(','))
        } else {
          this.$emit('input', this.selectValue)
        }
      }
    }
  }
</script>
